Loading...
Searching...
No Matches
caf::duration Class Reference

Time duration consisting of a time_unit and a 64 bit unsigned integer. More...

`#include <duration.hpp>`

## Public Member Functions

constexpr | duration (time_unit u, uint32_t v)
constexpr | duration (infinite_t)

## Related Symbols

(Note that these are not member symbols.)
enum class | time_unit : uint32_t
| SI time units to specify timeouts.
template<class Period>
constexpr time_unit | get_time_unit_from_period ()
| Converts an STL time period to a time_unit.
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, duration &x)
std::string | to_string (const duration &x)
bool | operator== (const duration &lhs, const duration &rhs)
bool | operator!= (const duration &lhs, const duration &rhs)
template<class T>
bool | is_infinite (duration x)
template<class Clock, class Duration>
std::chrono::time_point< Clock, Duration > & | operator+= (std::chrono::time_point< Clock, Duration > &lhs, const duration &rhs)

## Detailed Description

Time duration consisting of a time_unit and a 64 bit unsigned integer.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/duration.hpp